loci.plugins.in

## Class FilePatternDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.FilePatternDialog

-     public class FilePatternDialog
      extends ImporterDialog

  Bio-Formats Importer file pattern dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private FilePattern` | `fp`
    `private java.lang.String` | `originalID`
    `private int[]` | `paddingZeros`

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePatternDialog(ImportProcess process)` Creates a file pattern dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `protected boolean` | `needPrompt()`
    `private void` | `rebuild(ij.gui.GenericDialog gd)`

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `displayDialog, showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fp

          private FilePattern fp

    - #### originalID

          private java.lang.String originalID

    - #### paddingZeros

          private int[] paddingZeros

  - ### Constructor Detail

    - #### FilePatternDialog

          public FilePatternDialog(ImportProcess process)

      Creates a file pattern dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

    - #### rebuild

          private void rebuild(ij.gui.GenericDialog gd)

Copyright © 2026 Open Microscopy Environment